[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBlobStreamMode

Mode used when creating a blob stream

## Declaration

Source position: db.pas line 891

`type TBlobStreamMode = (`
`bmRead,` |  | Read blob data
`bmWrite,` |  | Write blob data
`bmReadWrite` |  | Read and write blob data
`);`

## Description

TBlobStramMode is used when creating a stream for reading BLOB data. It indicates what the data will be used for: reading, writing or both.